Electronics & Programming

develissimo

Open Source electronics development and programming

  • You are not logged in.
  • Root
  • » GTK+
  • » pangoxft not linked by gtk+-2.8 [RSS Feed]

#1 Nov. 20, 2005 12:52:25

J.
Registered: 2009-11-02
Reputation: +  0  -
Profile   Send e-mail  

pangoxft not linked by gtk+-2.8


I am trying to compile gtk+-2.8.7 and it won't link against pangoxft. There are
no checks for pangoxft in the configure script, I presume this is intentional.
Is there some magic to get gtk >= 2.8 with xft support?
gtk+-2.6.7 compiles with xft support (ie links libpangoxft.so) on the same
system.

I've installed the 2.8.7 prerequisites, and pango did link against Xft:
$ pkg-config --modversion glib-2.0 pango pangoxft atk
2.8.4
1.10.1
1.10.1
1.10.1

I've googled and searched the gtk mailling list, I can't find any reference to
Xft support being dropped, hidden or changed in gtk+ >= 2.8
What obvious thing am I missing here?

P.S. I am not on the list, please CC me on replies.
_______________________________________________
gtk-list mailing list
gtk-list@gnome.orghttp://mail.gnome.org/mailman/listinfo/gtk-list

Offline

  • Root
  • » GTK+
  • » pangoxft not linked by gtk+-2.8 [RSS Feed]

Board footer

Moderator control

Enjoy the 18th of November
PoweredBy

The Forums are managed by develissimo stuff members, if you find any issues or misplaced content please help us to fix it. Thank you! Tell us via Contact Options
Leave a Message
Welcome to Develissimo Live Support